#--------------------------------------------------------------------------------------#
#    ___ _   _ ___ _____ ___  __  __        _ _   _ __  __ ___     ___  _   ___  ___
#   / __| | | / __|_   _/ _ \|  \/  |    _ | | | | |  \/  | _ \   | _ \/_\ |   \/ __|
#  | (__| |_| \__ \ | || (_) | |\/| |   | || | |_| | |\/| |  _/   |  _/ _ \| |) \__ \
#   \___|\___/|___/ |_| \___/|_|  |_|    \__/ \___/|_|  |_|_|     |_|/_/ \_\___/|___/
#
#  By: Benz56
#--------------------------------------------------------------------------------------#

# Max power:
# - Power = 50 will launch you approximately 110 blocks.
maxPower: 50

# Launch direction:
# true: launched in the direction the player is walking.
# false: launched in the direction the player is looking.
launchInWalkingDirection: true

# Trail color when launched from JumpPad:
# - Every Minecraft color is Valid (names(e.g. red) and color codes (e.g &c):
# - Colors: http://imgur.com/a/v3TzU
trail_enabled: true
trail_color: 'red'
# - Trail density = number of particles per block. Higher values = more distance between particles
# - A density of 1 (lowest) is recommended for best visual appeal.
trail_density: 1

# Jumppads launch sound:
# - Make sure the default sound is supported in your version.
sound_enabled: true
sound: ENTITY_WITHER_SHOOT
volume: 1
pitch: 1

# Should living entities (cows, pigs, villagers etc) get launched also?
launchLivingEntities: true

# Block teleporting during launch.
blockTeleporting: true

# Visualizer settings:
# The visualizer creates a hovering rotating circle of particles above all JumpPads.
Visualizer:
  # Enable or Disable the visualizer.
  enabled: true
  # Set which type of particles should appear.
  particleType: REDSTONE
  # Set the color of the rotating particles.
  # Colorizeable particle types: REDSTONE, SPELL_MOB and SPELL_MOB_AMBIENT.
  particleColor: 'red'
  # The radius of the rotating circle.
  circleRadius: 0.5
  # The speed in which the circle rotates. Lower is faster. Minimum is 1.
  rotationSpeed: 2

# Enable launch effect (Disabled in 1.13, 1.14 & 1.15):
launchEffectEnabled: true
# Choose an effect to be played here: https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Effect.html
launchEffect: EXPLOSION_LARGE
# Set the duration/data of the effect played.
launchEffectDuration: 5

# CleanUp will remove any jumppads that have been incorrectly removed during server startup.
# An example of this is removing a jumppad with WorldEdit. It will then be removed on next startup.
CleanUp:
  # Set whether or not CleanUp should run on server startup.
  enabled: true
  # Configure any world in list format that you want excluded. E.g. if you have a world
  # that gets reset but don't want to remove the jumppads then add the world here. (Case-Insensitive)
  ignoredWorlds:

# Update Checker Settings.
# Enable or disable the update checker.
updateCheckerEnabled: true
# false: All OPs are notified of a new update when they join.
# true: OPs are only notified if they have the jumppads.update permission as well.
# N.B. any user with the jumppads.update permission is notified; OP or not.
updateCheckerPermissionOnly: false